function Loop_Fit_complext0_expdec_v1(g1, g2, rho, t0rGuess, t0iGuess, LJguess)
%LOOP_FIT_COTHICKNESS_V1 Summary of this function goes here
%   Detailed explanation goes here

[fileName,pathName,filterIndex] = uigetfile('C:\Users\semori\Documents\MATLAB\Spin Pumping FM sink (comp t0 + exp decay)\*.dat', 'All Files');

%LsfVector = [3,5,10]; 
LsfVector = [1,2,3,4,5,6,7,8,9,10]; 

numVals = numel(LsfVector);

LsfOut = LsfVector';

t0realOut = zeros(numVals, 1);
t0realErrOut = zeros(numVals, 1);
t0imagOut = zeros(numVals, 1);
t0imagErrOut = zeros(numVals, 1);

LJout = zeros(numVals, 1);
LJerrOut = zeros(numVals, 1);
LcOut = zeros(numVals, 1);
LcErrOut = zeros(numVals, 1);

for j = 1:numVals
    Lsf = LsfOut(j);
    [t0realOut(j), t0realErrOut(j), t0imagOut(j), t0imagErrOut(j), LJout(j), LJerrOut(j), LcOut(j), LcErrOut(j)] ...
    = Fit_DelAlpha_vs_CoGdThick_complext0_expdec_v1loop(g1, g2, Lsf, rho, t0rGuess, t0iGuess, LJguess, fileName, pathName);
end

g1Err = 0;
g2Err = 0; 
rhoErr = 0;

titleString = strvcat(fileName, ...
    ['g^{\uparrow\downarrow}_1 = ', num2str(g1,'%0.1f'), ' \pm ', num2str(g1Err,'%0.1f'), ' nm^{-2}, ', ...
    'g^{\uparrow\downarrow}_2 = ', num2str(g2,'%0.1f'), ' \pm ', num2str(g2Err,'%0.1f'), ' nm^{-2}, '], ...
    ['\rho = ', num2str(rho,'%0.2e'), ' \pm ', num2str(rhoErr,'%0.2e'), ' \Omega m'], ...
     ['t^{\uparrow\downarrow}_{0,r} (init) = ', num2str(t0rGuess,'%0.1f'), ' nm^{-2}, ', ...
    't^{\uparrow\downarrow}_{0,i} (init) = ', num2str(t0iGuess,'%0.1f'), ' nm^{-2}, ', ...
    'L_{J} (init) = ', num2str(LJguess,'%0.1f'), ' nm'], ...
    ['_']);

h1 = figure;
xlabel('L_{sf} (nm)', 'FontSize', 10);
ylabel('t^{\uparrow\downarrow}_{0} (nm^{-2})', 'FontSize', 10);
xlim([0 max(LsfOut)+1]);
ylim([-10 20]);
hold on; 
errorbar(LsfOut, t0realOut, t0realErrOut, 'ks',  'MarkerSize', 10);
errorbar(LsfOut, t0imagOut, t0imagErrOut, 'rd',  'MarkerSize', 10);
plot([0 max(LsfOut)+1], [g2, g2], 'k--'); %horizontal line through y=g2
plot([0 max(LsfOut)+1], [0 0], 'k-'); %horizontal line through y=0
title(titleString, 'FontSize', 10);
legend({'Re[t^{\uparrow\downarrow}_{0}]','Im[t^{\uparrow\downarrow}_{0}]'},'Location','best');

fileString = [pathName, '\loop-', fileName, '-v1-g1', num2str(g1,'%0.1f'), '-g2', num2str(g2,'%0.1f'), '-rho', num2str(rho,'%0.2e'), ...
    '-t0rIn', num2str(t0rGuess,'%0.1f'), '-t0iIn', num2str(t0iGuess,'%0.1f'), '-LJin', num2str(LJguess,'%0.1f')];

saveas(h1, [fileString, '-t0.png']); 

t0Output = [LsfOut, t0realOut, t0realErrOut, t0imagOut, t0imagErrOut]; 
            fidOut = fopen([fileString, '-t0.dat'],'wt');
            fprintf(fidOut, '%s\t %s\t %s\t %s\t %s\n', 'Lsf', 't0real', 'err', 't0imag', 'err');
            fprintf(fidOut, '%0.1f %0.2f %0.2f %0.2f %0.2f\n', t0Output');
            fclose(fidOut);
hold off;

h2 = figure;
xlabel('L_{sf} (nm)', 'FontSize', 10);
ylabel('L_J, L_c (nm)', 'FontSize', 10);
xlim([0 max(LsfOut)+1]);
ylim([0,max(LsfOut)+1]);
hold on; 
plot([0 max(LsfOut)+1], [0 max(LsfOut)+1], 'r--'); 
errorbar(LsfOut, LJout, LJerrOut, 'bo',  'MarkerSize', 10);
errorbar(LsfOut, LcOut, LcErrOut, 'gs',  'MarkerSize', 10);
title(titleString, 'FontSize', 10);
legend({'diffusion length', 'dephasing legnth','coherence length'},'Location','best');

saveas(h2, [fileString, '-L.png']); 

lenOutput = [LsfOut, LJout, LJerrOut, LcOut, LcErrOut]; 
            fidOut = fopen([fileString, '-L.dat'],'wt');
            fprintf(fidOut, '%s\t %s\t %s\t %s\t %s\n', 'Lsf', 'LJ', 'err', 'Lc', 'err');
            fprintf(fidOut, '%0.1f %0.2f %0.2f %0.2f %0.2f\n', lenOutput');
            fclose(fidOut);
hold off;
end

