function complexVal = TransMixCond_complex_t0_expdecay(t0real, t0imag, d2, Lsf, LJ)
%TRANSMIXCOND Summary of this function goes here
%   t0 = interfacial contribution to transmission mixing conductance
%   (nm^-2)
%   d2 = FM spin sink thickness (nm)
%   LJ = spin dephasing length (nm)
%   rho = resistivity of FM spin sink (Ohm m)

%  output (complexVal) in nm^-2

complexVal = (t0real+t0imag*1i).*OscDecay(d2,LJ).*exp(-d2./Lsf);

end

